<!DOCTYPE html>
<html
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:h="http://xmlns.jcp.org/jsf/html"
    xmlns:f="http://xmlns.jcp.org/jsf/core"
    xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
    xmlns:p="http://primefaces.org/ui"
    xmlns:of="http://omnifaces.org/functions"
    xmlns:o="http://omnifaces.org/ui"
    xmlns:cc="http://xmlns.jcp.org/jsf/composite">
<cc:interface componentType="dateRange">
    <cc:attribute
        name="value"
        required="true" />
</cc:interface>
<cc:implementation>
    <h:panelGroup id="#{cc.id}">
        <h:inputText
            id="input"
            styleClass="efDateRange" />
    </h:panelGroup>
</cc:implementation>
</html>